Subject: RE: [IP-Optical] RE: Optical link bundling. Was Re: DraftMinutes From Pittsburgh

From: Kireeti Kompella <[email-masked]>
Date: Mon, 23 Oct 2000 12:25:28 -0700 (PDT)

Yangguang,

> Several ways to do:
> 1) A can request the first LSP to optical network (x-y), then request another
> one which different the first one (w-z, also with LSP ID of x-y to avoid). 

First of all, that means that signalling must include a mechanism
for "avoid lsp-id x-y".  Even if that is possible, how does w
compute a path that avoids lsp x-y?  There is no info in the IGP
about LSP ids.  Finally, it is much preferable to do the path
computation in one step rather than two steps.

Angela's approach works better: if the x->y LSP is announced as an
FA with path info, and there was a mechanism to say "compute an LSP
that avoids this path", then w has the info to compute the w-z LSP.
However, this requires some extensions to the signalling protocol,
and moreover, this is still a two-step approach.

> 2) A can send one request for two disjointed paths (x-y) and (w-z) together.

This is a better approach, except that there is no mechanism for
this in signalling protocols.  Also, two independent OXCs, x and
w have to coordinate -- this idea doesn't scale very well.  Or
there is a third party for path computation, in which case, forget
routers and switches computing paths; just do the TE offline.

> The key point is whatever routers can do to optical network, optical switches
> can do by themselves (as easy as router can do). Why bother?

This is not a router vs. optical switch issue.  The issue is
that the *originator* of the LSP has all the info.  The originator
of the LSPs can do a full path computation, can do both paths
simultaneously, has no coordination issues, no extensions to
signalling or link state protocols.

Kireeti.

---

From: Yangguang Xu <[email-masked]>
Date: Mon, 23 Oct 2000 15:51:15 -0400

Kireeti,

> and moreover, this is still a two-step approach.

After optical network create a LSP x-y, LSP source node x (in optical domain)
will maintain the LSP path information. New path w-z source node w can query x
for path LSP x-y ER hop list info and run explicit routing to avoid LSP x-y. 

IGP maintain topology information. It doesn't need to know which LSP use which
topology. LSP information is maintain separately from topology information.

LSP w-z is created with the "constrain" saying avoid LSP x-y. Please refer to
"Path selection section" of the document I sent to you for details.

> routers and switches computing paths; just do the TE offline.

Because it's one request, the OXC who receives the request for (example x) can
perform explicit routing for both paths, then using MPLS signaling to set up
these two paths (it has to notify W with ER hop lists). No scalability problem,
no need for co-ordination at all.

> signalling or link state protocols.

Using the second solution I mention above, it's as simple as have router do it.
Yet, it applies to all business models. The solution you mentioned only works
for certain service provider.

> Kireeti.
> 
> _______________________________________________
> IP-Optical mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/ip-optical